CI 묻고 답하기

제목 sesstion 오류 관련 아시는 선배님들 답변 부탁드립니다.
카테고리 일반
글쓴이 열공중 작성시각 2017/12/18 14:06:45
댓글 : 5 추천 : 0 스크랩 : 0 조회수 : 1670   RSS

안녕하세요. 메뉴얼을 보면서 작업 중인 초보개발자입니다.

다름이 아니라, 3.16으로 버전업을 시킨 후에 세션 및 hook을 사용하면 hook쪽에서 에러가 나는거 같아서 몇일 동안 고민 후에 질문 올립니다.

먼저 에러 현상에 대해서 질문을 올리자면,

config.php 에서 hook 를 true로 한 후에 hook class을 사용하면 에러가 발생합니다.

 

밑은 /config/hook.php 내용입니다.

$hook['pre_controller'][] = array(
		'class'    => 'myClass',
		'function' => 'index',
		'filename' => 'Myclass.php',
		'filepath' => 'hooks',
		'params'   => array()
);

/hooks/Myclass.php

<?php 
defined('BASEPATH') OR exit('No direct script access allowed');

class MyClass extends CI_Controller {
	public function index(){
		echo "aa<br>";
	}
}
?>

첨부파일로 해당 보이는 화면 캡쳐해서 올립니다.

Unable to locate the specified class: Session.php

라는 에러 문구 관련해서 해결방법들이 사이트내에서도 많이 있어서 따라 해보아도 에러문구는 변화가 없습니다.

혹시 제가 놓친 부분이 있는지 질책 부탁드립니다.

감사합니다~!!

 

 


첨부파일 에러화면.png (3.0 KB)
 다음글 Unable to connect to your FTP ... (1)
 이전글 session 설정시 헤더오류 질문 (2)

댓글

변종원(웅파) / 2017/12/18 14:26:27 / 추천 1

hook에서 CI_Controller 상속해서 사용할 수 없다고 알고 있습니다.

일반 클래스 형태로 구현해서 테스트해보세요.

열공중 / 2017/12/18 14:46:35 / 추천 0
넵. 답글 감사합니다. 한번 시도해보겠습니다~!! ㅎ
열공중 / 2017/12/18 14:48:37 / 추천 0
아.. 해결되었네요. ㅎㅎ 몇일 고민 했던것이 이렇게 간단하게 해결되리라 생각 못했네요. 웅파님 감사합니다~!!^^
kaido / 2017/12/18 16:20:18 / 추천 1
변종원(웅파) / 2017/12/18 17:06:15 / 추천 1
CI_Controller 상속 : hook 시점에 따라 사용가능. ^^